## Class Swift_Mime_ContentEncoder_Base64ContentEncoder

(line 22)

## Description

    Swift_Encoder_Base64Encoder
       |
       --Swift_Mime_ContentEncoder_Base64ContentEncoder

Located in File: /vendors/swiftMailer/classes/Swift/Mime/ContentEncoder/Base64ContentEncoder.php

##### Handles Base 64 Transfer Encoding in Swift Mailer.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
void encodeByteStream (Swift_OutputByteStream $os, Swift_InputByteStream $is, [int $firstLineOffset = 0], [ $maxLineLength = 0], Swift_OutputByteStream $in, Swift_InputByteStream $out, int $maxLineLength,)
string getName ()

#### Method encodeByteStream (line 34)

#### void encodeByteStream( Swift_OutputByteStream $os, Swift_InputByteStream $is, [int $firstLineOffset = 0], [ $maxLineLength = 0], Swift_OutputByteStream $in, Swift_InputByteStream $out, int $maxLineLength,)

Implementation of:

Swift_Mime_ContentEncoder::encodeByteStream()
  Encode $in to $out.

##### Encode stream $in to stream $out.

#### Parameters

- Swift_OutputByteStream $in:
- Swift_InputByteStream $out:
- int $firstLineOffset:
- int $maxLineLength,: optional, 0 indicates the default of 76 bytes
- Swift_OutputByteStream $os:
- Swift_InputByteStream $is:
- $maxLineLength:

#### Info

- access - public

#### Method getName (line 76)

#### string getName( )

Implementation of:

Swift_Mime_ContentEncoder::getName()
  Get the MIME name of this content encoding scheme.

##### Get the name of this encoding scheme.

Returns the string 'base64'.

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

#### Inherited From Class Swift_Encoder_Base64Encoder

#### Swift_Encoder_Base64Encoder::charsetChanged() - Does nothing.

#### Swift_Encoder_Base64Encoder::encodeString() - Takes an unencoded string and produces a Base64 encoded string from it.

Documentation generated on Fri, 12 Nov 2010 20:45:15 +0000 by phpDocumentor 1.4.3